--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Mix the mask colour (which will be converted to an HSL colour) with the current colour at the stated mix percentage as a decimal value.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "NOTE:"
    body: This differs from Color::RGB#mix_with.
  type: :NOTE
full_name: Color::HSL#mix_with
is_singleton: false
name: mix_with
params: (color, mix_percent = 0.5)
visibility: public
